#!/usr/bin/perl

# Concatenate all of the human scores for system level rank, and put them in the correct format.

$dir = "/Users/ccb/Documents/Dropbox/Papers/WMT12/data/wmt-ranking/official";

$testSet = "newstest2012";
@langs = ("Czech", "German", "French", "Spanish");
$langCode{"Czech"} = "cs";
$langCode{"German"} = "de";
$langCode{"French"} = "fr";
$langCode{"Spanish"} = "es";


foreach $lang (@langs) {
    open(FILE, $dir . "/wmt12.$lang,English");
    while($line = <FILE>) {
	print "HUMAN_RANK\t$langCode{$lang}-en\t$testSet\t$line";
    }
    close(FILE);
    open(FILE, $dir . "/wmt12.English,$lang");
    while($line = <FILE>) {
	print "HUMAN_RANK\ten-$langCode{$lang}\t$testSet\t$line";
    }
    close(FILE);
}
